svn commit: r358726 - head/security/tripwire/files
Cy Schubert
cy at FreeBSD.org
Sat Jun 21 18:08:21 UTC 2014
Author: cy
Date: Sat Jun 21 18:08:20 2014
New Revision: 358726
URL: http://svnweb.freebsd.org/changeset/ports/358726
QAT: https://qat.redports.org/buildarchive/r358726/
Log:
Poudriere performs builds in a jail with no pty. This causes the tripwire
install script a bit of gas. Circumvent the issue by removing the pty test.
Modified:
head/security/tripwire/files/patch-install-install.sh
Modified: head/security/tripwire/files/patch-install-install.sh
==============================================================================
--- head/security/tripwire/files/patch-install-install.sh Sat Jun 21 18:06:58 2014 (r358725)
+++ head/security/tripwire/files/patch-install-install.sh Sat Jun 21 18:08:20 2014 (r358726)
@@ -1,6 +1,17 @@
--- install/install.sh.orig 2011-11-21 08:06:56.000000000 -0800
-+++ install/install.sh 2014-06-01 20:55:20.632399290 -0700
-@@ -174,17 +174,11 @@
++++ install/install.sh 2014-06-21 10:37:36.784492831 -0700
+@@ -19,10 +19,6 @@
+
+ PATH='.:/bin:/usr/bin'
+ export PATH || (echo 'You must use sh to run this script'; kill $$)
+-if [ ! -t 0 ] ; then
+- echo "Say 'sh install.sh', not 'sh < install.sh'"
+- exit 1
+-fi
+
+ ##-------------------------------------------------------
+ ## The usage message.
+@@ -174,17 +170,11 @@
# Starting directory.
START_DIR=`pwd`
@@ -20,7 +31,7 @@
# Guess where the toplevel for the distribution is.
# A bad guess is the current directory
-@@ -200,6 +194,7 @@
+@@ -200,6 +190,7 @@
## Parse the command line.
##-------------------------------------------------------
@@ -28,7 +39,7 @@
while [ "x$1" != "x" ] ; do
case "$1" in
-n) PROMPT="false"; xCLOBBER="true" ;;
-@@ -232,6 +227,7 @@
+@@ -232,6 +223,7 @@
esac
shift
done
@@ -36,7 +47,7 @@
##-------------------------------------------------------
## Print the sign-on banner here before the first
-@@ -333,7 +329,7 @@
+@@ -333,7 +325,7 @@
## passphrases must be specified on the command line.
##-------------------------------------------------------
@@ -45,7 +56,7 @@
if [ -z "$TW_SITE_PASS" ] || [ -z "$TW_LOCAL_PASS" ] ; then
echo "Error: You must specify site and local passphrase" 1>&2
echo "if no prompting is chosen." 1>&2
-@@ -514,7 +510,7 @@
+@@ -514,7 +506,7 @@
##-------------------------------------------------------
for i in $path2; do
@@ -54,7 +65,7 @@
if [ ! -d "$d" ] ; then
mkdir -p "$d"
if [ ! -d "$d" ] ; then
-@@ -525,12 +521,12 @@
+@@ -525,12 +517,12 @@
chmod 0750 "$d" > /dev/null
fi
else
@@ -69,7 +80,7 @@
if [ ! -d "$d" ] ; then
mkdir -p "$d"
if [ ! -d "$d" ] ; then
-@@ -541,7 +537,7 @@
+@@ -541,7 +533,7 @@
chmod 0755 "$d" > /dev/null
fi
else
@@ -78,7 +89,7 @@
fi
done
-@@ -550,6 +546,7 @@
+@@ -550,6 +542,7 @@
## Copy all files to the location specified.
##=======================================================
@@ -86,7 +97,7 @@
echo
echo "----------------------------------------------"
echo "Copying files..."
-@@ -568,14 +565,14 @@
+@@ -568,14 +561,14 @@
#f1=' ff=$README ; d="" ; dd=$TWDOCS ; rr=0444 '
#f2=' ff=$REL_NOTES ; d="" ; dd=$TWDOCS ; rr=0444 '
@@ -105,7 +116,7 @@
#f11=' ff=twpolicy.4 ; d="/man/man4" ; dd=$TWMAN/man4 ; rr=0444 '
#f12=' ff=twconfig.4 ; d="/man/man4" ; dd=$TWMAN/man4 ; rr=0444 '
#f13=' ff=twfiles.5 ; d="/man/man5" ; dd=$TWMAN/man5 ; rr=0444 '
-@@ -593,7 +590,7 @@
+@@ -593,7 +586,7 @@
f=${TAR_DIR}$d/$ff
ff=${dd}/$ff
if [ -s $ff ] && [ "$CLOBBER" = "false" ] ; then
@@ -114,7 +125,7 @@
else
cp "$f" "$dd"
if [ $? -eq 0 ]; then
-@@ -604,6 +601,12 @@
+@@ -604,6 +597,12 @@
fi
fi
done
More information about the svn-ports-all
mailing list